<?php 

/*
*
*   This class is part of the Application core logic, since it handles customer packages.
*
*/
class Package extends Application
{
    
    const PACKAGE_STARTER = "P_STARTER";
    
    const PACKAGE_SMALLCOMPANY = "P_SCOMPANY";
    
    const PACKAGE_PROFESSIONAL = "P_PROFESSIONAL";
    
    const PACKAGE_ENTERPRISE = "P_ENTERPRISE";
    
    const PACKAGE_UNLIMITED = "P_UNLIMITED";
    
    
    
    private $allowedPackages = 
    [
        "P_STARTER",
        "P_SMALLCOMPANY",
        "P_PROFESSIONAL",
        "P_ENTERPRISE",
        "P_UNLIMITED"
    ];
    
    
    private $AdminID;
    
    
    public function __construct()
    {
        $this->AdminID = $AdminID;        
    
    }
    
    
    public function getDefaultOptionsArray()
    {
        return
        [
            
            "desc" => "Created by Spacejewel Billing System",
            "dir",
            "unix",
            "webmin",
            "web",
            "dns",
            "mail",
            "ssl",
            "spam",
            "virus"
            "limits-from-plan"
              
        ];
        
    }

}